Index: src/lib/font/mgCourier10.c
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/lib/font/mgCourier10.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -b -B -U 1000000 -r1.3 -r1.4
--- src/lib/font/mgCourier10.c	6 Apr 2010 00:58:56 -0000	1.3
+++ src/lib/font/mgCourier10.c	6 Apr 2010 19:56:19 -0000	1.4
@@ -1,300 +1,300 @@
 
 /* Courier10.c - compiled data for font -Adobe-Courier-M-R-N--10-100-75 */
 static char const rcsid[] = "$Id$";
 /* generated source code by utils/bdfToGem, do not edit */
 /* BDF data file input: 75dpi/courR10.bdf */
 
 #include "common.h"
 #include "memgfx.h"
 #include "../gemfont.h"
 
 static UBYTE Courier10_data[2376] = {
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x4,0x4,0x21,0x40,0x8,0,0x4,0x8,0x40,0x8,
 0x8,0x40,0,0x14,0x40,0x46,0x14,0,0,0x10,
 0x21,0x80,0x8,0,0,0,0,0,0x10,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x40,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x10,0,0,
 0,0,0,0xc1,0x83,0x80,0x2,0x8,0x52,0x85,
 0x14,0,0x2,0x10,0xa2,0x84,0x10,0xa2,0x80,0x28,
 0x20,0x89,0x28,0x90,0,0x8,0x42,0x49,0x10,0,
 0x8,0x8,0x42,0x80,0x28,0,0x4,0x8,0x60,0x8,
 0x8,0x40,0xd,0x14,0x40,0x86,0x14,0,0,0x10,
 0x21,0x80,0x8,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x85,0xa,0x10,0,0x8,0x9,0x2,
 0,0,0,0x2,0x30,0x43,0xc,0x11,0xe3,0x9e,
 0x30,0xc0,0,0,0,0,0x30,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0xc,0x40,0xc2,0,
 0x20,0xc,0,0x18,0x1,0x80,0xc0,0x41,0x30,0x30,
 0,0,0,0,0,0x20,0,0,0,0,
 0x2,0x21,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x1,
 0xe,0x2,0x22,0,0x50,0xc0,0,0,0x3,0x1e,
 0x30,0x3,0x1c,0x20,0,0,0x1,0x80,0,0x42,
 0x85,0x8,0,0,0,0,0x8,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x1,0x84,0x10,0xa5,0xa,
 0x10,0,0x2,0x10,0x92,0x44,0x10,0xa2,0x86,0x28,
 0x21,0x9,0x28,0x90,0,0x8,0x42,0x49,0x11,0x82,
 0x40,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x85,
 0xa,0x39,0x83,0x8,0x10,0x8d,0x88,0,0,0x4,
 0x49,0xc4,0x92,0x31,0x4,0x12,0x49,0x20,0,0x10,
 0x2,0xc,0x49,0xcf,0xc,0xf3,0xef,0x8c,0xcf,0xe7,
 0xb6,0xe2,0x2d,0x8c,0xf0,0xcf,0xe,0xfb,0x3d,0xf7,
 0xdb,0x67,0x88,0x20,0x45,0,0,0x4,0,0x8,
 0x2,0,0x40,0,0x10,0x10,0,0,0,0,
 0,0x20,0,0,0,0,0x4,0x20,0x80,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x1,0x10,0x89,0x42,0xe,
 0x1,0x27,0,0,0x4,0x80,0x48,0x85,0x8,0,
 0x7,0xc0,0,0x83,0,0x44,0x88,0x90,0xe,0x38,
 0xe3,0x8e,0x38,0xf9,0x9f,0x7d,0xf7,0xdf,0x7d,0xf7,
 0xde,0x6c,0x61,0x86,0x18,0x64,0x46,0xe7,0x9e,0x79,
 0xed,0x82,0x40,0,0,0,0,0,0,0,
 0,0,0,0,0xa,0,0,0,0,0x1,
 0,0,0,0,0,0x80,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x85,0x1f,0x42,0xa4,0x8,
 0x10,0x82,0x8,0,0,0x4,0x48,0x40,0x82,0x51,
 0x4,0x2,0x49,0x20,0,0x21,0xe1,0x12,0x98,0xa4,
 0x92,0x49,0x24,0x92,0x48,0x81,0x14,0x43,0x64,0x92,
 0x49,0x24,0x90,0xa9,0x28,0xa2,0x52,0x24,0x88,0x20,
 0x48,0x80,0,0xc7,0xc,0x38,0xc7,0x8d,0x70,0xc7,
 0x16,0x13,0x4b,0xc,0xb0,0xd5,0xce,0x7b,0x6c,0xeb,
 0xdb,0x67,0x84,0x20,0x82,0x80,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x43,0xbe,0x73,0xe2,0x10,0x2,0xd0,0x80,0xf8,
 0xb,0xc0,0x33,0xe2,0x4,0x3,0x6a,0x80,0,0x84,
 0x80,0xe9,0xd3,0x20,0x5,0x14,0x51,0x45,0x14,0x62,
 0x49,0x24,0x92,0x44,0x10,0x41,0x9,0x24,0x92,0x49,
 0x24,0x92,0x89,0x24,0x92,0x49,0x44,0xe2,0x4c,0x30,
 0xc3,0xc,0x30,0xd9,0x86,0x18,0x61,0x8c,0x30,0xc3,
 0x7,0x58,0x61,0x86,0x18,0x60,0x6,0xed,0xb6,0xdb,
 0x6c,0xe6,0xc0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x80,0xa,0x33,0x46,0,0x20,0x45,0x3e,0x1,
 0xe0,0x8,0x48,0x41,0xc,0x91,0xc7,0x4,0x30,0xe2,
 0x8,0x40,0,0x84,0xa9,0x27,0x10,0x49,0xc7,0x10,
 0x78,0x81,0x18,0x42,0xa6,0x92,0x49,0x24,0x8c,0x21,
 0x25,0x2a,0x21,0x41,0x8,0x10,0x40,0,0,0x24,
 0x92,0x49,0x22,0x12,0x48,0x41,0x14,0x12,0xa4,0x92,
 0x49,0x22,0x10,0x21,0x24,0x6a,0x51,0x21,0x4,0x20,
 0x85,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x4,0x8,0x50,
 0x80,0xc,0x2,0x96,0x92,0x9,0xeb,0x40,0,0x87,
 0x18,0x1,0x2a,0x88,0x1,0xc3,0x12,0x10,0x20,0x40,
 0x89,0x24,0x92,0x49,0x24,0xba,0xe,0x38,0xe3,0x84,
 0x10,0x41,0x1d,0x34,0x92,0x49,0x24,0x91,0xb,0x24,
 0x92,0x49,0x28,0x92,0xc2,0x8,0x20,0x82,0x9,0x2a,
 0x49,0x24,0x92,0x44,0x10,0x41,0x9,0x24,0x92,0x49,
 0x24,0x97,0xc9,0x24,0x92,0x49,0x24,0x92,0x40,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x80,0x3f,0x8,
 0xb9,0x40,0x20,0x40,0x8,0,0,0x8,0x48,0x42,
 0x2,0xf8,0x24,0x84,0x48,0x20,0,0x21,0xe1,0x8,
 0xa9,0xe4,0x90,0x49,0x5,0x16,0x48,0x89,0x14,0x42,
 0xa5,0x92,0x71,0x27,0x2,0x21,0x25,0x2a,0x20,0x82,
 0x8,0x10,0x40,0,0,0xe4,0x90,0x49,0xc2,0x12,
 0x48,0x41,0x18,0x12,0xa4,0x92,0x49,0x22,0xc,0x21,
 0x22,0xaa,0x21,0x22,0x8,0x20,0x40,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x44,0x8,0x73,0xe0,0x12,0x2,0xd0,
 0x24,0x8,0xa,0xc0,0,0,0,0x1,0x26,0x80,
 0,0,0x9,0x24,0x58,0x90,0xf,0x3c,0xf3,0xcf,
 0x3c,0xe2,0x8,0x20,0x82,0x4,0x10,0x41,0x9,0x2c,
 0x92,0x49,0x24,0x92,0x8d,0x24,0x92,0x49,0x10,0xe2,
 0x2e,0x38,0xe3,0x8e,0x38,0xfa,0xf,0x3c,0xf3,0xc4,
 0x10,0x41,0x9,0x24,0x92,0x49,0x24,0x90,0x9,0x24,
 0x92,0x49,0x24,0x92,0x40,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x14,0x49,0x58,0x80,0x20,0x40,
 0x8,0,0,0x10,0x48,0x44,0x12,0x10,0x24,0x88,
 0x48,0x20,0,0x10,0x2,0,0x9d,0x24,0x92,0x49,
 0x24,0x12,0x48,0x89,0x12,0x4a,0x24,0x92,0x41,0x24,
 0x92,0x21,0x25,0x14,0x50,0x84,0x88,0x8,0x40,0,
 0x1,0x24,0x92,0x49,0x2,0x12,0x48,0x41,0x14,0x12,
 0xa4,0x92,0x49,0x22,0x2,0x25,0x22,0x94,0x51,0x24,
 0x84,0x20,0x80,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x43,
 0x91,0x88,0x82,0xc,0x1,0x27,0x92,0,0x4,0x80,
 0x3,0xe0,0,0x1,0x22,0x80,0,0x7,0x92,0x4c,
 0xa9,0x30,0x89,0x24,0x92,0x49,0x25,0x22,0x49,0x24,
 0x92,0x44,0x10,0x41,0x9,0x24,0x92,0x49,0x24,0x94,
 0x49,0x24,0x92,0x49,0x10,0x82,0x32,0x49,0x24,0x92,
 0x49,0x22,0x48,0x20,0x82,0x4,0x10,0x41,0x9,0x24,
 0x92,0x49,0x24,0x91,0x9,0x24,0x92,0x49,0x24,0x92,
 0x40,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x80,
 0x14,0x30,0x67,0x40,0x10,0x80,0,0x20,0x2,0x10,
 0x31,0xe7,0x8c,0x11,0xc3,0x8,0x31,0xc2,0x8,0,
 0,0x8,0x83,0x3f,0xc,0xf3,0xee,0xc,0xcf,0xe6,
 0x39,0xfb,0x6c,0x8c,0xe0,0xce,0x5c,0x70,0xc2,0x14,
 0xd9,0xc7,0x88,0x8,0x40,0,0,0xdf,0xc,0x34,
 0xe7,0x8e,0xed,0xf1,0x36,0x7e,0xbe,0xcc,0x70,0xe7,
 0x9c,0x18,0xd1,0x14,0xd8,0xc7,0x84,0x20,0x80,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x41,0x3f,0x1,0xc2,0x2,
 0,0xc0,0,0,0x3,0,0,0,0,0x1,
 0xd2,0x80,0x20,0,0,0x9f,0x12,0x79,0x19,0xe7,
 0x9e,0x79,0xe7,0x39,0x9f,0x7d,0xf7,0xdf,0x7d,0xf7,
 0xde,0x64,0x61,0x86,0x18,0x60,0x16,0x18,0x61,0x86,
 0x39,0xc6,0xcd,0x34,0xd3,0x4d,0x35,0xd9,0x87,0x1c,
 0x71,0xdf,0x7d,0xf7,0xc6,0x76,0x61,0x86,0x18,0x60,
 0x16,0x1a,0x69,0xa6,0x98,0xe1,0x80,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x10,0,0,
 0x10,0x80,0,0x20,0,0x20,0,0,0,0,
 0,0,0,0,0x8,0,0,0,0x78,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x20,0,0,0,0,0,0,0x8,0x4,
 0x40,0,0,0,0,0,0,0x2,0,0x1,
 0,0,0,0,0x40,0x20,0,0,0,0,
 0,0x80,0x4,0x20,0x80,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x41,0,0,0x2,0x1c,0,0,0,0,
 0,0,0,0,0,0x1,0x6,0xc0,0x10,0,
 0,0x4,0x38,0x12,0x40,0,0,0,0,0,
 0x80,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x80,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x10,0x81,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x9,0,0,0x40,
 0,0,0,0,0,0,0,0,0,0,
 0x10,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0xc,0,0xc0,0x3f,0,0,
 0,0,0,0x1c,0,0x6,0,0,0,0,
 0xe0,0x70,0,0,0,0,0x3,0,0x2,0x21,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x40,0,0,
 0x2,0,0,0,0,0,0,0,0,0,
 0,0x1,0,0,0x60,0,0,0,0,0x1,
 0x80,0,0,0,0,0x3,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x3,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x61,0xc6,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,
 };
 
 static WORD Courier10_ch_ofst[225] = {
 0,6,12,18,24,30,36,42,48,54,
 60,66,72,78,84,90,96,102,108,114,
 120,126,132,138,144,150,156,162,168,174,
 180,186,192,198,204,210,216,222,228,234,
 240,246,252,258,264,270,276,282,288,294,
 300,306,312,318,324,330,336,342,348,354,
 360,366,372,378,384,390,396,402,408,414,
 420,426,432,438,444,450,456,462,468,474,
 480,486,492,498,504,510,516,522,528,534,
 540,546,552,558,564,570,576,582,588,594,
 600,606,612,618,624,630,636,642,648,654,
 660,666,672,678,684,690,696,702,708,714,
 720,726,732,738,744,750,756,762,768,774,
 780,786,792,798,804,810,816,822,828,834,
 840,846,852,858,864,870,876,882,888,894,
 900,906,912,918,924,930,936,943,950,957,
 963,969,975,981,987,993,999,1005,1011,1017,
 1023,1029,1035,1041,1047,1053,1059,1065,1071,1077,
 1083,1089,1095,1101,1107,1113,1119,1125,1131,1137,
 1143,1149,1155,1161,1167,1173,1179,1185,1191,1197,
 1203,1209,1215,1221,1227,1233,1239,1245,1251,1257,
 1263,1269,1275,1281,1287,1293,1299,1305,1311,1317,
 1323,1329,1335,1341,1347,
 };
 
 static struct font_hdr Courier10_font = {
 STPROP, 10, "-Adobe-Courier-M-R-N--10-100-75", 32, 255,
 11, 9, 5, 2, 2,
 8, 6, 0, 0,
 0, 0, 0x5555, (WORD)0xaaaa,
 0x0, NULL,
 Courier10_ch_ofst, Courier10_data,
 216, 11,
 NULL,
 0, 0,   /* x/y offset */
-13,        /* lineHeight */
+11,        /* lineHeight */
 9,	   /* psHeight */
 };
 
 MgFont *mgCourier10Font()
 {
 return &Courier10_font;
 }
 
 MgFont *mgSmallFixedFont()
 {
 return &Courier10_font;
 }