Index: src/lib/font/mgHelvetica10.c
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/lib/font/mgHelvetica10.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -b -B -U 1000000 -r1.3 -r1.4
--- src/lib/font/mgHelvetica10.c	6 Apr 2010 00:58:56 -0000	1.3
+++ src/lib/font/mgHelvetica10.c	6 Apr 2010 19:56:19 -0000	1.4
@@ -1,336 +1,336 @@
 
 /* Helvetica10.c - compiled data for font AdobeHelv-M-R-N--10-100-75-75-P */
 static char const rcsid[] = "$Id$";
 /* generated source code by utils/bdfToGem, do not edit */
 /* BDF data file input: 75dpi/helvR10.bdf */
 
 #include "common.h"
 #include "memgfx.h"
 #include "../gemfont.h"
 
 static UBYTE Helvetica10_data[2782] = {
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x8,
 0x4,0x10,0x28,0,0x80,0,0,0x80,0x41,0,
 0x21,0x40,0,0x50,0x40,0x10,0x20,0x50,0,0,
 0x1,0,0x80,0x80,0,0x80,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x4,0x8,0x28,0x50,0xa1,0x40,0,
 0,0x40,0x82,0x85,0x12,0xb4,0,0xa0,0x20,0x20,
 0x50,0xa0,0x90,0,0,0x81,0x1,0x42,0x41,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x80,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0x20,0,
 0,0,0,0,0,0x81,0x11,0x40,0x20,0,
 0x10,0x42,0x4,0x20,0xa2,0x90,0x10,0x82,0x80,0,
 0x4,0x10,0x80,0x10,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x9,0x40,0x21,0x90,0x21,0x12,0x50,0,
 0x1,0x70,0x87,0x1c,0x13,0xe7,0x3e,0x71,0xc0,0,
 0,0x6,0xf,0x81,0xf,0xf,0x1e,0x1f,0x3e,0x78,
 0x84,0x84,0x89,0x4,0x13,0x11,0xe3,0xc3,0xc7,0x87,
 0x3e,0x85,0x6,0x22,0x8a,0xb,0xe7,0x31,0,0x40,
 0x40,0,0x80,0x60,0x41,0x50,0x80,0,0,0,
 0,0x8,0,0,0,0,0xa,0x80,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x18,0x8,0x93,0x94,0x1,0xc0,0,0,
 0x7,0,0,0x40,0x7c,0x1,0xc0,0x21,0x10,0x9c,
 0x40,0x4,0x8,0x10,0x20,0x40,0x81,0xf8,0xf1,0xf3,
 0xe7,0xcf,0x92,0x49,0xe1,0x88,0xf0,0xf0,0xf0,0xf0,
 0xf0,0x3,0xc4,0x24,0x24,0x24,0x28,0x28,0x18,0x42,
 0x2a,0x8a,0x50,0,0x8,0x85,0x2a,0xda,0xc5,0x8,
 0x21,0x45,0x14,0,0x2,0x21,0x4a,0x24,0xa,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x9,0x4a,0x72,0x50,
 0x51,0x21,0x20,0,0x1,0x89,0x88,0xa2,0x32,0x8,
 0x82,0x8a,0x20,0,0,0x9,0x10,0x41,0x8,0x90,
 0x91,0x10,0x20,0x84,0x84,0x84,0x91,0x6,0x33,0x12,
 0x12,0x24,0x24,0x48,0x88,0x85,0x6,0x22,0x89,0x10,
 0x25,0x11,0,0x20,0x40,0,0x80,0x80,0x40,0x10,
 0x80,0,0,0,0,0x8,0,0,0,0,
 0x12,0x40,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x2,0x25,0x28,0x94,0x40,
 0x70,0x40,0,0x1,0xc0,0x62,0x1f,0x80,0xe8,0x5,
 0x40,0x62,0x31,0x8,0x80,0x4,0x8,0x10,0x20,0x40,
 0x81,0x81,0x9,0x2,0x4,0x8,0x12,0x49,0x11,0x89,
 0x9,0x9,0x9,0x9,0x8,0x4,0x64,0x24,0x24,0x24,
 0x24,0x48,0x24,0,0,0,0x20,0,0,0,
 0,0x1,0x20,0,0,0,0,0,0,0,
 0,0x4,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x8,0xa,0xa9,0xa0,0x50,0x21,0x51,0,0x2,0x88,
 0x80,0x82,0x52,0x8,0x4,0x8a,0x24,0x84,0x2,0x1,
 0x26,0xa2,0x88,0x90,0x10,0x90,0x20,0x80,0x84,0x84,
 0xa1,0x6,0x32,0x92,0x12,0x24,0x24,0x48,0x8,0x84,
 0x89,0x24,0x51,0x10,0x44,0x92,0x80,0xe,0x58,0xc6,
 0x99,0xcd,0x59,0x52,0xbb,0x2c,0x72,0xc6,0xa9,0x9d,
 0x28,0xa4,0xa2,0x97,0x92,0x40,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x4e,
 0x20,0xc5,0x16,0,0x89,0x40,0,0x2,0x20,0x92,
 0x2a,0x12,0xe8,0xd,0xc0,0x22,0x11,0x4,0x81,0xa,
 0x14,0x28,0x50,0xa1,0x42,0x81,0x1,0x2,0x4,0x8,
 0x12,0x49,0x9,0x49,0x9,0x9,0x9,0x9,0xa,0x24,
 0xa4,0x24,0x24,0x24,0x24,0x4f,0x25,0xce,0x73,0x9c,
 0xe7,0x63,0x18,0xc6,0x32,0xa4,0xf7,0x1c,0x71,0xc7,
 0x1c,0x21,0xd9,0x4a,0x52,0x95,0x92,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x8,0x1f,0xa0,0x20,0x60,0x40,
 0x81,0,0x2,0x88,0x80,0x8c,0x53,0xcb,0x4,0x72,
 0x60,0x8,0xf1,0x2,0x49,0x22,0x8f,0x10,0x10,0x9f,
 0x3c,0x80,0xfc,0x84,0xe1,0x5,0x52,0x92,0x13,0xc4,
 0x27,0x87,0x8,0x84,0x89,0x24,0x20,0xa0,0x84,0x92,
 0x80,0x1,0x65,0x29,0xa4,0x93,0x65,0x54,0xa4,0xb2,
 0x8b,0x29,0xb2,0x49,0x28,0xa4,0x94,0x90,0x92,0x4c,
 0x80,0,0,0,0,0,0,0,0,0,
 0,0,0,0x15,0x71,0x25,0x13,0x81,0x34,0x5,
 0x3e,0x5,0xd0,0x9f,0x91,0x12,0xe8,0x4,0x14,0x24,
 0x12,0x19,0,0xa,0x14,0x28,0x50,0xa1,0x42,0xf9,
 0x1,0xf3,0xe4,0xf,0x92,0x4b,0xc9,0x49,0x9,0x9,
 0x9,0x9,0x9,0x44,0xa4,0x24,0x24,0x24,0x22,0x88,
 0xa8,0x21,0x8,0x42,0x10,0x94,0xa5,0x29,0x4a,0xa5,
 0x14,0xa2,0x8a,0x28,0xa2,0x2,0x69,0x4a,0x52,0x96,
 0x52,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0x8,0xa,
 0x70,0x40,0xa4,0x40,0x87,0xc3,0x82,0x88,0x83,0x2,
 0x90,0x2c,0x88,0x89,0xa0,0x10,0,0x84,0x51,0x24,
 0x48,0x90,0x10,0x90,0x20,0x8c,0x84,0x84,0x91,0x5,
 0x52,0x52,0x12,0x4,0x24,0x40,0x88,0x84,0x89,0x54,
 0x50,0xa0,0x84,0x94,0x40,0x7,0x45,0x8,0xbc,0x91,
 0x45,0x58,0xa4,0xa2,0x8a,0x28,0xa1,0x89,0x25,0x15,
 0x8,0xa1,0x22,0x33,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x54,0x21,0x2f,
 0x84,0xc1,0x45,0xca,0x2,0xe5,0x90,0x62,0x3e,0x12,
 0x6b,0x5,0xca,0x4,0x82,0xc1,0x21,0x11,0x22,0x44,
 0x89,0x12,0x24,0x81,0x1,0x2,0x7,0xc8,0x12,0x49,
 0x9,0x29,0x9,0x9,0x9,0x9,0x8,0x85,0x24,0x24,
 0x24,0x24,0x22,0x88,0xa4,0xe7,0x39,0xce,0x73,0xf4,
 0x3d,0xef,0x7a,0xa5,0x14,0xa2,0x8a,0x28,0xa2,0xfa,
 0xa9,0x4a,0x52,0xa4,0x54,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x8,0x3e,0x28,0x58,0x98,0x40,0x81,0,
 0x2,0x88,0x84,0x2,0xf8,0x28,0x88,0x88,0x20,0x8,
 0xf1,0x4,0x52,0x47,0xc8,0x90,0x10,0x90,0x20,0x84,
 0x84,0x84,0x91,0x4,0x92,0x52,0x12,0x4,0xa4,0x48,
 0x88,0x84,0x50,0x88,0x50,0x41,0x4,0x90,0,0x9,
 0x45,0x8,0xa0,0x91,0x45,0x54,0xa4,0xa2,0x8a,0x28,
 0xa0,0x49,0x25,0x15,0x14,0xa2,0x12,0x40,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x54,0x20,0xc2,0x6,0x41,0x34,0x14,0x2,0x5,
 0x50,0x2,0,0x12,0x28,0,0x5,0x9,0x85,0x42,
 0x61,0x1f,0x3e,0x7c,0xf9,0xf3,0xe7,0x81,0x1,0x2,
 0x4,0x8,0x12,0x49,0x9,0x29,0x9,0x9,0x9,0x9,
 0x9,0x45,0x24,0x24,0x24,0x24,0x21,0xf,0x25,0x29,
 0x4a,0x52,0x94,0x84,0x21,0x8,0x42,0xa5,0x14,0xa2,
 0x8a,0x28,0xa2,0x3,0x29,0x4a,0x52,0xa4,0x54,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x14,0xa8,0xa4,
 0x98,0x40,0x81,0,0x4,0x88,0x88,0x22,0x12,0x28,
 0x90,0x8a,0x20,0x4,0x2,0,0x52,0x48,0x28,0x90,
 0x91,0x10,0x20,0x8c,0x84,0xa4,0x89,0x4,0x92,0x32,
 0x12,0x4,0x64,0x48,0x88,0x84,0x50,0x88,0x88,0x42,
 0x4,0x50,0,0x9,0x65,0x29,0xa4,0x93,0x45,0x52,
 0xa4,0xa2,0x8b,0x29,0xa2,0x49,0x22,0xa,0x22,0x64,
 0x12,0x40,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0x55,0x25,0x2f,0x93,0x80,
 0x88,0xa,0,0x2,0x20,0,0,0x12,0x28,0,
 0xa,0xb,0xc4,0x82,0xf2,0x20,0xc1,0x83,0x6,0xc,
 0x18,0x81,0x9,0x2,0x4,0x8,0x12,0x49,0x11,0x19,
 0x9,0x9,0x9,0x9,0xa,0x26,0x24,0x24,0x24,0x24,
 0x21,0x8,0x25,0x29,0x4a,0x52,0x94,0x94,0xa5,0x29,
 0x4a,0xa5,0x14,0xa2,0x8a,0x28,0xa2,0x22,0x29,0x4a,
 0x52,0x66,0x4c,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x8,0x14,0x70,0x98,0x64,0x21,0,0x8,0x14,0x70,
 0x8f,0x9c,0x11,0xc7,0x10,0x71,0xc4,0x80,0,0x4,
 0x4d,0x88,0x2f,0xf,0x1e,0x1f,0x20,0x74,0x84,0x98,
 0x89,0xe4,0x92,0x31,0xe2,0x3,0xe4,0x47,0x8,0x78,
 0x20,0x88,0x88,0x43,0xe4,0x50,0,0x6,0xd8,0xc6,
 0x98,0x8d,0x45,0x52,0xa4,0xa2,0x72,0xc6,0xa1,0x8c,
 0xe2,0xa,0x22,0x47,0x92,0x40,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x4e,
 0x58,0x2,0x10,0xc0,0x70,0x5,0,0x1,0xc0,0xf,
 0x80,0x1e,0x28,0,0x14,0x10,0x89,0xc4,0x24,0x20,
 0xc1,0x83,0x6,0xc,0x18,0xf8,0xf1,0xf3,0xe7,0xcf,
 0x92,0x49,0xe1,0x18,0xf0,0xf0,0xf0,0xf0,0xf0,0x3,
 0xc3,0xc3,0xc3,0xc3,0xc1,0x8,0x28,0xd6,0xb5,0xad,
 0x6b,0x63,0x18,0xc6,0x32,0xa4,0xe4,0x9c,0x71,0xc7,
 0x1c,0x1,0xc7,0x39,0xce,0x45,0x88,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x20,0,0,0x21,
 0,0x8,0,0,0,0,0,0,0,0,
 0,0x80,0,0,0x20,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x10,0,0,0,0,0,0,0,0x4,0x10,
 0,0,0,0,0,0x1,0,0x40,0,0,
 0x2,0,0x80,0,0,0,0,0x40,0x12,0x40,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x48,0,0,0x14,0x40,0,0,
 0,0,0,0,0,0x10,0x28,0x20,0,0,
 0,0,0x4,0x80,0,0,0,0,0,0,
 0x20,0,0,0,0,0,0,0,0,0,
 0,0,0,0x4,0,0,0,0,0,0,
 0,0,0,0,0,0x1,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x44,
 0x8,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x12,0,0x10,0,0,0,0,
 0,0,0,0,0x1,0,0,0,0x1f,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x6,0x30,0x1f,0x80,0,0,0,0xe,
 0,0,0,0,0x2,0,0x80,0,0,0,
 0,0x80,0xa,0x80,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x40,0,0,
 0x13,0x80,0,0,0,0,0,0,0,0x10,
 0x28,0x60,0,0,0,0,0x3,0,0,0,
 0,0,0,0,0x60,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x3,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x84,0x10,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,
 };
 
 static WORD Helvetica10_ch_ofst[225] = {
 0,3,6,10,16,22,31,39,41,45,
 49,53,59,62,66,69,72,78,84,90,
 96,102,108,114,120,126,132,135,138,144,
 149,155,161,172,179,186,194,202,209,215,
 223,231,234,239,246,252,261,269,277,284,
 292,299,306,311,319,326,335,342,349,356,
 359,362,365,371,377,380,385,391,396,402,
 407,411,417,423,425,427,432,434,442,448,
 454,460,466,470,475,479,484,490,498,504,
 509,514,517,520,523,530,533,536,539,542,
 545,548,551,554,557,560,563,566,569,572,
 575,578,581,584,587,590,593,596,599,602,
 605,608,611,614,617,620,623,626,629,632,
 635,641,647,652,658,661,667,670,679,683,
 689,696,700,709,712,716,722,725,728,731,
 736,742,745,748,751,755,761,770,779,788,
 794,801,808,815,822,829,836,846,854,861,
 868,875,882,885,888,891,894,902,910,918,
 926,934,942,950,956,964,972,980,988,996,
 1003,1010,1015,1020,1025,1030,1035,1040,1045,1053,
 1058,1063,1068,1073,1078,1080,1082,1084,1087,1093,
 1098,1104,1110,1116,1122,1128,1134,1140,1145,1150,
 1155,1160,1165,1171,1176,
 };
 
 static struct font_hdr Helvetica10_font = {
 STPROP, 10, "AdobeHelv-M-R-N--10-100-75-75-P", 32, 255,
 13, 11, 6, 2, 2,
 11, 11, 0, 0,
 0, 0, 0x5555, (WORD)0xaaaa,
 0x0, NULL,
 Helvetica10_ch_ofst, Helvetica10_data,
 214, 13,
 NULL,
 0, 0,   /* x/y offset */
-15, 	   /* lineHeight */
+13, 	   /* lineHeight */
 9,	   /* psHeight */
 };
 
 MgFont *mgHelvetica10Font()
 {
 return &Helvetica10_font;
 }