Index: src/lib/font/mgHelveticaBold8.c
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/lib/font/mgHelveticaBold8.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -b -B -U 1000000 -r1.3 -r1.4
--- src/lib/font/mgHelveticaBold8.c	6 Apr 2010 00:58:57 -0000	1.3
+++ src/lib/font/mgHelveticaBold8.c	6 Apr 2010 19:56:20 -0000	1.4
@@ -1,286 +1,286 @@
 
 /* HelveticaBold8.c - compiled data for font AdobeHelv-B-R-N--8-80-75-75-P-5 */
 static char const rcsid[] = "$Id$";
 /* generated source code by utils/bdfToGem, do not edit */
 /* BDF data file input: 75dpi/helvB08.bdf */
 
 #include "common.h"
 #include "memgfx.h"
 #include "../gemfont.h"
 
 static UBYTE HelveticaBold8_data[2222] = {
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x1,0x1,0x8,0x28,0x2,0,0,0x40,0x90,
 0x10,0x80,0xa,0x40,0x42,0xa,0,0,0x20,0x21,
 0,0x4,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x80,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0x80,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x82,0x14,0x51,0x45,0,0,
 0x21,0x29,0x4b,0x50,0x14,0x20,0x85,0x14,0x50,0,
 0x10,0x42,0x8a,0x8,0,0x8,0x12,0x14,0x4,0,
 0x4,0x8,0x81,0x8,0x2,0x90,0x22,0x28,0,0x2,
 0x4,0x40,0x8,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x30,0,0x80,0,0x80,0,
 0,0,0,0,0,0,0,0,0,0x3,
 0x80,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0x40,0xc0,0x18,0xc,0x18,0xac,0x40,
 0,0,0,0x1,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0xf3,0x80,0,0xf,0,0,0x40,
 0,0x38,0x4,0x48,0xb1,0,0,0,0,0x2,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x4,0x25,0x29,
 0x4a,0,0x2,0x11,0x4a,0xb5,0xd5,0x8,0x45,0x51,
 0x40,0x1,0x8,0xa5,0x10,0xa,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x35,0x51,0xcd,0x38,
 0x94,0x40,0,0x2c,0x23,0x18,0x67,0x3b,0xcc,0x60,
 0,0,0xcf,0xc7,0x3c,0x7b,0xcf,0x79,0xed,0xa3,
 0x6d,0x8c,0x6c,0x9c,0xf1,0xcf,0x1e,0xfb,0x6e,0xb6,
 0xdb,0x76,0xff,0x4c,0xc0,0,0xc0,0x18,0x18,0x18,
 0xc,0x40,0,0,0,0x3,0,0,0,0,
 0x13,0,0,0,0,0,0,0,0,0,
 0,0x43,0x45,0x69,0xd5,0x99,0x80,0,0x9,0xbe,
 0x4f,0x81,0xe0,0x68,0xc,0x99,0x32,0x1,0xc7,0x1c,
 0x71,0xc7,0x1f,0x9e,0xf7,0xbd,0xea,0xa7,0x32,0x71,
 0xc7,0x1c,0x70,0xe,0xed,0xb6,0xdb,0x76,0xc3,0x80,
 0,0,0x4,0,0,0,0,0,0x60,0,
 0,0,0,0x8,0,0,0x6,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0x35,0xfb,
 0x16,0x28,0x14,0xe4,0,0x3a,0xe5,0xac,0xac,0x60,
 0xda,0xb5,0x10,0x21,0x98,0x6d,0xb6,0xcb,0x6c,0x63,
 0x2d,0xa3,0x69,0x8c,0x6c,0xb6,0xdb,0x6d,0xb0,0x63,
 0x66,0xb6,0xdb,0x34,0x3a,0x44,0xc0,0x1c,0xe3,0x39,
 0xbf,0x5c,0xad,0x5d,0x38,0xce,0x3a,0xbf,0xeb,0x55,
 0x6d,0xaf,0x22,0x80,0,0,0,0,0,0,
 0,0,0x4,0x45,0x3b,0x6b,0x1,0x6a,0x80,0,
 0x16,0x8a,0x47,0x37,0xa0,0xf8,0x5,0xa,0x14,0x23,
 0x6d,0xb6,0xdb,0x6d,0x8e,0x32,0xc6,0x31,0x8a,0xa5,
 0xb2,0xdb,0x6d,0xb6,0xdb,0x5b,0x6d,0xb6,0xdb,0x34,
 0xf3,0x5c,0xe7,0x39,0xce,0x7c,0x66,0x31,0x8c,0xaa,
 0xa7,0x18,0xc6,0x31,0x84,0x76,0xb5,0xad,0x6b,0x9a,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x20,0x53,0x9c,0x30,0x22,0x44,0,0x5a,0x61,0x99,
 0xae,0x70,0xcc,0xb5,0x27,0x91,0x13,0x2d,0xbc,0xc3,
 0x6f,0x7b,0xf,0xa3,0x71,0x8e,0xee,0xb2,0xdb,0x2d,
 0xbc,0x63,0x66,0xb6,0x8e,0x34,0x32,0x25,0x20,0x6,
 0xd6,0x5b,0x5a,0xda,0xad,0x5a,0xb5,0xad,0x5b,0xe3,
 0x6b,0x55,0x6d,0xa3,0x22,0x8b,0,0,0,0,
 0,0,0,0,0x5,0xec,0x29,0x63,0x81,0x88,
 0x14,0xf0,0x16,0x8f,0xe9,0x37,0xac,0x42,0x85,0xa,
 0x28,0x23,0x6d,0xb6,0xdb,0x6d,0x97,0xb0,0xf7,0xbd,
 0xea,0xae,0xba,0xcb,0x2c,0xb2,0xc9,0xdb,0x6d,0xb6,
 0xdb,0x34,0xdb,0x86,0x31,0x8c,0x63,0x1a,0xcd,0x6b,
 0x5a,0xaa,0x77,0xb5,0xad,0x6b,0x40,0xd6,0xb5,0xad,
 0x6b,0x5a,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0xf9,0xc7,0x7c,0x22,0x1e,0x38,0x5a,
 0x63,0xd,0xf3,0x69,0x9a,0x70,0x40,0x8,0x15,0x2f,
 0xb6,0xc3,0x6c,0x63,0x6d,0xa3,0x79,0x8f,0xef,0xb2,
 0xf3,0x2f,0xe,0x63,0x66,0xb6,0x8e,0x3c,0x62,0x24,
 0,0x1e,0xd6,0x5b,0xda,0xda,0xae,0x5a,0xb5,0xad,
 0x5b,0x7b,0x6b,0x5f,0x39,0xa6,0x42,0x56,0,0,
 0,0,0,0,0,0,0x1,0x86,0x3b,0xeb,
 0x41,0x6b,0xa8,0x13,0x95,0x80,0x4e,0x35,0xac,0x79,
 0x42,0x87,0xa,0x3,0xef,0xbe,0xfb,0xef,0xbe,0x30,
 0xc6,0x31,0x8a,0xa5,0xbe,0xcb,0x2c,0xb2,0xc9,0xdd,
 0x6d,0xb6,0xdb,0x3c,0xf3,0x5e,0xf7,0xbd,0xef,0x3e,
 0xcf,0x7b,0xde,0xaa,0xd6,0xb5,0xad,0x6b,0x5e,0xd6,
 0xb5,0xad,0x6b,0x5a,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x20,0xa0,0xcd,0x68,0x22,0x4,
 0x82,0x9a,0x66,0x2c,0x6b,0x69,0x1a,0x35,0x27,0x91,
 0x13,0x2d,0xb6,0xcb,0x6c,0x63,0x2d,0xab,0x6d,0x8d,
 0x6d,0xb6,0xc3,0x6d,0xb6,0x63,0x67,0x1b,0x1b,0x18,
 0xe2,0x14,0,0x16,0xd6,0x5b,0x1b,0xda,0xad,0x5a,
 0xb5,0xad,0x5b,0x1b,0x79,0x9f,0x6c,0xec,0x22,0x80,
 0,0,0,0,0,0,0,0,0x5,0xe5,
 0x44,0xc9,0x41,0x98,0x14,0,0x18,0x80,0,0x3c,
 0xa0,0x2,0x85,0x89,0x16,0x23,0x6d,0xb6,0xdb,0x6d,
 0xb6,0x32,0xc6,0x31,0x8a,0xa5,0xb6,0xdb,0x6d,0xb6,
 0xdb,0x5b,0x6d,0xb6,0xdb,0x18,0xc3,0x56,0xb5,0xad,
 0x6b,0x58,0xcc,0x63,0x18,0xaa,0xd6,0xb5,0xad,0x6b,
 0x40,0xd7,0xbd,0xef,0x3b,0x4c,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x20,0xa3,0x96,0x34,
 0x22,0x4,0x82,0x8c,0x67,0x98,0x66,0x33,0xc,0xe5,
 0x10,0x21,0x19,0xcd,0xbc,0x7b,0xcf,0x61,0xed,0xa6,
 0x67,0xed,0x6c,0x9c,0xc1,0xed,0x9c,0x61,0xc2,0x1b,
 0x1b,0x18,0xfa,0x14,0,0x1b,0xe3,0x39,0x98,0xda,
 0xad,0x5a,0xb4,0xce,0x3b,0x71,0xa9,0x9,0x6c,0xcf,
 0x22,0x80,0,0,0,0,0,0,0,0,
 0xc,0x8f,0,0xc8,0xc0,0xf0,0,0,0xf,0x1,
 0xe0,0x24,0xa0,0,0xb,0xd2,0x2f,0x23,0x6d,0xb6,
 0xdb,0x6d,0xb7,0x9e,0xf7,0xbd,0xea,0xa7,0x32,0x71,
 0xc7,0x1c,0x70,0x1e,0x38,0xe3,0x8e,0x18,0xc2,0x9b,
 0xde,0xf7,0xbd,0xbe,0x66,0x31,0x8c,0xaa,0x66,0x98,
 0xc6,0x31,0x84,0xe2,0x94,0xa5,0x33,0x8c,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x1,
 0,0,0x14,0x1,0,0,0,0,0,0,
 0,0x2,0,0,0xc,0,0,0,0,0,
 0,0,0,0,0,0,0,0x10,0,0,
 0,0,0,0,0x2,0x4,0x1f,0,0,0,
 0x3,0x80,0x40,0,0,0xc,0x18,0,0,0,
 0,0xc0,0x13,0,0,0,0,0,0,0,
 0,0,0xc,0x80,0,0x2,0xc0,0,0,0,
 0,0,0,0x30,0xa1,0,0,0x83,0x2,0x60,
 0,0,0,0,0,0x8,0,0,0,0,
 0,0,0,0,0,0x20,0,0,0,0,
 0,0,0,0,0,0,0x40,0,0,0,
 0,0,0,0,0x1,0,0,0,0x33,0xc,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x14,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x3,0xc,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0xc,0,0,0x3,0x80,0,
 0,0,0,0,0,0x30,0xa3,0,0,0,
 0,0x78,0,0,0,0,0,0x18,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0xc0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x3,0x80,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,
 };
 
 static WORD HelveticaBold8_ch_ofst[225] = {
 0,2,5,9,14,19,25,31,34,37,
 40,43,48,50,54,56,59,64,69,74,
 79,84,89,94,99,104,109,111,113,117,
 122,126,131,140,146,152,158,164,169,174,
 180,186,188,193,199,204,212,218,224,230,
 236,242,248,254,260,266,275,281,288,294,
 297,300,303,307,312,315,320,325,329,334,
 339,342,347,352,354,356,361,363,370,375,
 380,385,390,393,398,401,406,411,417,423,
 428,433,437,439,443,448,450,452,454,456,
 458,460,462,464,466,468,470,472,474,476,
 478,480,482,484,486,488,490,492,494,496,
 498,500,502,504,506,508,510,512,514,516,
 519,524,529,534,540,542,547,550,558,562,
 568,574,578,586,588,591,596,598,600,602,
 607,612,614,616,618,622,628,635,642,649,
 654,660,666,672,678,684,690,698,704,709,
 714,719,724,726,728,730,732,738,744,750,
 756,762,768,774,779,785,791,797,803,809,
 816,822,827,832,837,842,847,852,857,864,
 868,873,878,883,888,890,892,894,896,901,
 906,911,916,921,926,931,936,941,946,951,
 956,961,966,971,976,
 };
 
 static struct font_hdr HelveticaBold8_font = {
 STPROP, 8, "AdobeHelv-B-R-N--8-80-75-75-P-5", 32, 255,
 11, 9, 5, 2, 2,
 9, 9, 0, 0,
 0, 0, 0x5555, (WORD)0xaaaa,
 0x0, NULL,
 HelveticaBold8_ch_ofst, HelveticaBold8_data,
 202, 11,
 NULL,
 0, 0,   /* x/y offset */
-13,        /* lineHeight */
+11,        /* lineHeight */
 10,	   /* psHeight */
 };
 
 MgFont *mgHelveticaBold8Font()
 {
 return &HelveticaBold8_font;
 }
 
 MgFont *mgTinyBoldFont()
 {
 return &HelveticaBold8_font;
 }
 