Index: src/lib/font/mgTimes10.c
===================================================================
RCS file: /projects/compbio/cvsroot/kent/src/lib/font/mgTimes10.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -b -B -U 1000000 -r1.3 -r1.4
--- src/lib/font/mgTimes10.c	6 Apr 2010 00:58:57 -0000	1.3
+++ src/lib/font/mgTimes10.c	6 Apr 2010 19:56:20 -0000	1.4
@@ -1,325 +1,325 @@
 
 /* Times10.c - compiled data for font -Adobe-Times-M-R-N--10-100-75-7 */
 static char const rcsid[] = "$Id$";
 /* generated source code by utils/bdfToGem, do not edit */
 /* BDF data file input: 75dpi/timR10.bdf */
 
 #include "common.h"
 #include "memgfx.h"
 #include "../gemfont.h"
 
 static UBYTE Times10_data[2678] = {
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x40,0x10,0x20,0x28,0,0x20,0,0,0x80,0x84,
 0x1,0x4,0x80,0,0xa1,0,0x42,0x5,0,0,
 0,0x40,0x10,0x20,0,0x10,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x20,0x20,0x50,0x50,
 0x50,0x50,0,0,0x41,0xa,0x28,0x89,0x54,0x1,
 0x40,0x80,0x85,0xa,0x14,0,0,0x20,0x20,0x50,
 0x50,0x20,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x80,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x40,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0xe0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x20,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x2,0,0,0,0,0,0,0x20,
 0x91,0x41,0,0x8,0x24,0x8,0x24,0x4,0x29,0x4,
 0x42,0x80,0,0x10,0x42,0,0x40,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0x15,0x29,
 0xcf,0xc6,0x11,0x45,0,0,0xb,0x8,0xc6,0x9,
 0xc6,0xf3,0x18,0,0,0x7,0x1e,0x4,0x3c,0x7d,
 0xf3,0xef,0x9f,0x77,0x73,0xf6,0xe3,0x8e,0xee,0x79,
 0xe3,0xcf,0xe,0xfb,0xbb,0xbb,0x77,0xee,0xee,0xfb,
 0x4c,0x40,0x20,0x80,0x18,0xc,0x10,0x4a,0x18,0,
 0,0,0,0,0,0,0,0,0x15,0,
 0,0,0,0,0,0,0,0,0,0,
 0xd1,0x8d,0x25,0xe,0x30,0,0,0x71,0xcc,0x43,
 0xe8,0xf,0x80,0x90,0x8,0x88,0x9c,0x80,0x20,0x20,
 0x20,0x20,0x20,0x20,0x3e,0x7d,0xf7,0xdf,0x7d,0xdd,
 0xdd,0xf3,0xb9,0xe3,0xc7,0x8f,0x1e,0,0x7d,0xdd,
 0xdd,0xdd,0xdd,0xdd,0xc1,0x11,0x2a,0xaa,0x80,0x4,
 0x4a,0xa4,0x4a,0xa7,0x50,0x88,0xa5,0x28,0,0x8,
 0x85,0x28,0x90,0xa0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x15,0x2a,0x54,0x8a,0x12,0x22,
 0,0,0xc,0x99,0x29,0x19,0x8,0x94,0xa4,0,
 0,0x5,0x21,0xe,0x12,0xc4,0x99,0x24,0xb1,0x22,
 0x21,0x24,0x41,0x8c,0x64,0xcc,0x96,0x64,0x92,0xa9,
 0x11,0x12,0x22,0x44,0x44,0x8a,0x44,0xa0,0,0x80,
 0x8,0x10,0x10,0x2,0x8,0,0,0,0,0x8,
 0,0,0,0,0x24,0x80,0,0,0,0,
 0,0,0,0,0,0x9,0x4e,0x54,0x80,0x11,
 0x8,0,0,0x88,0x12,0x45,0x50,0x1d,0x1,0xa8,
 0x19,0x19,0x9,0,0x70,0x70,0x70,0x70,0x70,0x70,
 0x72,0xc4,0x92,0x49,0x24,0x88,0x88,0x99,0x93,0x36,
 0x6c,0xd9,0xb3,0,0xcc,0x88,0x88,0x88,0x88,0x88,
 0x82,0x80,0,0x1,0,0,0,0,0,0xa,
 0,0,0,0,0,0x40,0,0,0x10,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x10,0x7e,0x15,0xd,0xc2,0x25,0x8,0,0x14,0x88,
 0x21,0x2b,0x9c,0x24,0xa4,0x90,0x80,0x81,0x4e,0x8a,
 0x12,0x80,0x89,0x4,0x20,0x22,0x21,0x28,0x41,0x8c,
 0x54,0x84,0x94,0x24,0x98,0x21,0x11,0xb3,0x26,0x28,
 0x28,0x12,0x24,0xa0,0xc,0xe3,0x39,0xb9,0xdc,0xda,
 0x49,0xd9,0xc6,0x71,0xd5,0xdd,0x2d,0xed,0xef,0x7f,
 0x24,0x80,0,0,0,0,0,0,0,0,
 0x1,0x39,0xa,0xdd,0x40,0x26,0xa9,0x40,0x1,0x74,
 0x13,0xf2,0x22,0x5d,0,0x92,0x89,0x9,0x5,0x8,
 0x50,0x50,0x50,0x50,0x50,0x50,0x50,0x80,0x82,0x8,
 0x20,0x88,0x88,0x89,0x52,0x14,0x28,0x50,0xa1,0x44,
 0x94,0x88,0x88,0x88,0x88,0x50,0xe2,0xb3,0x33,0x33,
 0x36,0x66,0x66,0x6c,0xcc,0xc7,0x71,0x8c,0x63,0x18,
 0x43,0xa5,0x29,0x4a,0xfc,0xb8,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x10,0x29,0x8a,0xce,
 0x84,0x10,0x8,0,0x14,0x88,0x46,0x48,0x52,0x23,
 0x24,0x1,0x3e,0x42,0x52,0x8a,0x1c,0x80,0x89,0xc7,
 0x27,0x3e,0x21,0x30,0x41,0x54,0x54,0x84,0xe4,0x27,
 0xc,0x21,0x10,0xa1,0x54,0x10,0x28,0x22,0x24,0,
 0x2,0x94,0x4a,0x92,0x92,0x4a,0x89,0x25,0x29,0x4a,
 0x4d,0x9,0x29,0x49,0x29,0x22,0x24,0x8c,0x80,0,
 0,0,0,0,0,0,0,0x4b,0x8a,0x21,
 0x20,0x28,0x82,0x8f,0x81,0x64,0xc,0x47,0xc2,0x5d,
 0x1,0xc1,0x5e,0x9e,0xda,0x80,0x50,0x50,0x50,0x50,
 0x50,0x50,0x5c,0x80,0xe3,0x8e,0x38,0x88,0x89,0xc9,
 0x52,0x14,0x28,0x50,0xa1,0x28,0xa4,0x88,0x88,0x88,
 0x88,0x50,0x93,0x8,0x88,0x88,0x8a,0x8a,0xaa,0xa4,
 0x44,0x49,0x4a,0x52,0x94,0xa4,0x4,0xa5,0x29,0x4a,
 0x52,0x90,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x10,0x7c,0x45,0x53,0x4,0x10,0x3e,0x1c,
 0x14,0x88,0x41,0x7c,0x52,0x44,0x9c,0x2,0,0x22,
 0x52,0x9f,0x12,0x80,0x89,0x4,0x21,0x22,0x21,0x28,
 0x41,0x54,0x4c,0x84,0x84,0x25,0x2,0x21,0x10,0xa1,
 0x54,0x28,0x10,0x42,0x24,0,0x6,0x94,0x4b,0x12,
 0x92,0x4b,0x89,0x25,0x29,0x4a,0x48,0xc9,0x25,0x2a,
 0x11,0x44,0x44,0x53,0,0,0,0,0,0,
 0,0,0x1,0x41,0xe,0xfc,0xa0,0x26,0xba,0x80,
 0xb9,0x54,0,0x40,0x2,0x4d,0x40,0x39,0x45,0x85,
 0x45,0x88,0xf8,0xf8,0xf8,0xf8,0xf8,0xf8,0xf0,0x80,
 0x82,0x8,0x20,0x88,0x88,0x89,0x32,0x14,0x28,0x50,
 0xa1,0x10,0xa4,0x88,0x88,0x88,0x88,0x20,0xe2,0x99,
 0x99,0x99,0x9c,0x8c,0xcc,0xc4,0x44,0x49,0x4a,0x52,
 0x94,0xa5,0xf4,0xa5,0x29,0x4a,0x92,0xa0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x2a,
 0x45,0x51,0xa4,0x10,0x8,0,0x24,0x88,0x81,0xa,
 0x52,0x44,0x88,0x1,0x3e,0x40,0x56,0x91,0x12,0xc4,
 0x99,0x24,0x31,0x22,0x25,0x24,0x49,0x24,0x4c,0xcc,
 0x86,0x64,0x92,0x21,0xb0,0x40,0x88,0x44,0x10,0x8a,
 0x14,0,0xa,0x94,0x4a,0x11,0x12,0x4a,0x49,0x25,
 0x29,0x4a,0x48,0x49,0x26,0x36,0x28,0xc9,0x24,0x80,
 0,0,0,0,0,0,0,0,0x1,0x4b,
 0x31,0x24,0x40,0x11,0x1,0x40,0x80,0x88,0,0,
 0x2,0x45,0,0x2,0x87,0xc4,0x87,0xc8,0x88,0x88,
 0x88,0x88,0x88,0x88,0x92,0xc4,0x92,0x49,0x24,0x88,
 0x88,0x99,0x33,0x36,0x6c,0xd9,0xb3,0x28,0xcc,0xd8,
 0xd8,0xd8,0xd8,0x20,0x82,0xaa,0xaa,0xaa,0xa8,0x88,
 0x88,0x84,0x44,0x49,0x4a,0x52,0x94,0xa4,0x4,0xa5,
 0x29,0x49,0x92,0x60,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0x10,0x2b,0x88,0x8e,0xc2,0x20,
 0x8,0x40,0xa3,0x1d,0xee,0xb,0x8c,0x43,0x30,0x90,
 0x80,0x82,0x49,0x3b,0xbc,0x79,0xf3,0xee,0x1e,0x77,
 0x76,0x76,0xfb,0xae,0xe4,0x79,0xc3,0x8e,0xdc,0x70,
 0xe0,0x40,0x88,0xee,0x38,0xfa,0x14,0,0xe,0xe3,
 0x35,0xb9,0x9b,0x4a,0x7d,0xb7,0xb6,0x71,0xdd,0xc6,
 0xd2,0x14,0x6c,0x8f,0x24,0x80,0,0,0,0,
 0,0,0,0,0x1,0x73,0xc0,0x75,0x20,0xe,
 0,0,0,0x70,0x1,0xf0,0x3,0xa5,0,0,
 0x8,0x89,0xc8,0x91,0xdd,0xdd,0xdd,0xdd,0xdd,0xdd,
 0xde,0x79,0xf7,0xdf,0x7d,0xdd,0xdd,0xf3,0x91,0xe3,
 0xc7,0x8f,0x1e,0x44,0xf8,0x70,0x70,0x70,0x70,0x71,
 0xc7,0x3b,0xbb,0xbb,0xb6,0x66,0x66,0x6e,0xee,0xe6,
 0x6d,0x8c,0x63,0x18,0x47,0x1a,0xd6,0xb5,0x1c,0x40,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0x80,0,0x2,0x20,0,0x40,0,0,
 0,0,0,0,0,0x10,0,0,0x20,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0xc0,0,0,0,0,0,0,
 0,0x2,0x4,0,0,0,0,0x2,0x40,0x8,
 0,0,0,0x40,0x40,0,0,0,0x1,0,
 0x24,0x80,0,0,0,0,0,0,0,0,
 0x1,0x40,0,0x1,0xc0,0,0,0,0,0,
 0,0,0x2,0x5,0x8,0,0,0,0,0x14,
 0,0,0,0,0,0,0,0x20,0,0,
 0,0,0,0,0,0,0,0,0,0x1,
 0,0,0,0,0,0,0,0,0,0,
 0,0x40,0,0,0,0,0,0,0,0,
 0x8,0,0,0x3,0x10,0xc0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0x1,0x40,0,0x40,0,0,0,0,0,0,
 0,0x10,0,0,0x1f,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0x60,
 0,0,0,0,0,0,0,0x3,0xc,0,
 0,0,0,0x3,0x80,0x10,0,0,0,0x60,
 0xe0,0,0,0,0x1,0,0x15,0,0,0,
 0,0,0,0,0,0,0x1,0,0,0,
 0,0,0,0,0,0,0,0,0x2,0x5,
 0x4,0,0,0,0,0x1c,0,0,0,0,
 0,0,0,0x10,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0x20,0,0,
 0,0,0,0,0,0,0,0,0,0x2,
 0x18,0x80,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0xf,0x80,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0x18,0,0,0,
 0,0,0,0,0,0,0,0,0,0x60,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0xc0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,0,0,
 0,0,0,0,0,0,0,0,
 };
 
 static WORD Times10_ch_ofst[225] = {
 0,2,5,9,14,19,27,35,37,41,
 45,50,56,59,63,66,69,74,79,84,
 89,94,99,104,109,114,119,122,125,130,
 136,141,145,154,162,168,175,182,188,194,
 201,209,213,217,224,230,240,248,255,261,
 268,275,280,286,294,302,312,320,328,334,
 337,340,343,348,353,356,360,365,369,374,
 378,382,387,392,395,398,403,407,415,420,
 425,430,435,439,443,447,452,457,465,471,
 476,481,485,487,491,498,500,502,504,506,
 508,510,512,514,516,518,520,522,524,526,
 528,530,532,534,536,538,540,542,544,546,
 548,550,552,554,556,558,560,562,564,566,
 569,574,579,584,589,591,596,601,610,614,
 619,626,630,639,643,647,653,656,659,662,
 667,673,675,679,682,686,691,699,707,715,
 719,727,735,743,751,759,767,776,783,789,
 795,801,807,811,815,819,823,830,838,845,
 852,859,866,873,879,887,895,903,911,919,
 927,933,938,942,946,950,954,958,962,968,
 972,976,980,984,988,992,996,1000,1004,1009,
 1014,1019,1024,1029,1034,1039,1045,1050,1055,1060,
 1065,1070,1075,1080,1085,
 };
 
 static struct font_hdr Times10_font = {
 STPROP, 10, "-Adobe-Times-M-R-N--10-100-75-7", 32, 255,
 13, 10, 6, 3, 3,
 11, 10, 0, 0,
 0, 0, 0x5555, (WORD)0xaaaa,
 0x0, NULL,
 Times10_ch_ofst, Times10_data,
 206, 13,
 NULL,
 0, 0,   /* x/y offset */
-15,        /* lineHeight */
+13,        /* lineHeight */
 9,	/* psHeight */
 };
 
 MgFont *mgTimes10Font()
 {
 return &Times10_font;
 }